Package ru.bitel.bgbilling.modules.smarthouse.server.bean

# Class SmartHouseOptionDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<SmartHouseOption>
ru.bitel.bgbilling.common.dao.AbstractIdDao<SmartHouseOption>
ru.bitel.bgbilling.modules.smarthouse.server.bean.SmartHouseOptionDao

public class SmartHouseOptionDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<SmartHouseOption>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmartHouseOptionDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected SmartHouseOption`
  `getFromRS(ResultSet rs)`
  `List<SmartHouseOption>`
  `list()`
  `protected void`
  `updateImpl(SmartHouseOption option)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SmartHouseOptionDao

    public SmartHouseOptionDao(Connection con, int moduleId)

- ## Method Details

  - ### list

    public List<SmartHouseOption> list() throws SQLException
    Throws:
      `SQLException`

  - ### getFromRS

    protected SmartHouseOption getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<SmartHouseOption>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(SmartHouseOption option) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<SmartHouseOption>`
    Throws:
      `SQLException`